заставить zypper установить определенную версию

У меня есть собственное личное репо с более старыми версиями rpms. Если я хочу установить boost-лицензию версии 1.36.0.11.17, я делаю следующее

zypper install boost-license=1.36.0-11.17 

это, кажется, сломано, как будто я изменяю rev на тот, который, как я знаю, не существует, тогда он просто возвращается к установке последнего оборота вместо ошибки, что глупо.

Я нахожу единственный способ заставить zypper установить определенный rpm, я хочу, чтобы указать точный URL-адрес rpms httlp // mylocalrepository / myrpms / boost-1.36.0.11.17.src.rpm.

Любые идеи, как я могу использовать zypper, поскольку он был предназначен для установки конкретной версии и ошибки, если она не существует?

Linux и Unix - лучшая ОС в мире.